Delete a passkey (v2)
curl --request DELETE \
--url https://api.next.orenda.finance/v2/auth/passkey/credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <x-program-id>'import requests
url = "https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}"
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-program-id': '<x-program-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-program-id: <x-program-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-program-id", "<x-program-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}")
.header("x-program-id", "<x-program-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-program-id"] = '<x-program-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": null
}{
"success": false,
"code": "UNAUTHORIZED",
"message": "Invalid email or password"
}{
"message": "Forbidden"
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "Missing program or user context"
}{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Passkeys
Delete a passkey (v2)
Removes a passkey. The user can no longer sign in with that device.
DELETE
/
v2
/
auth
/
passkey
/
credentials
/
{id}
Delete a passkey (v2)
curl --request DELETE \
--url https://api.next.orenda.finance/v2/auth/passkey/credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <x-program-id>'import requests
url = "https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}"
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-program-id': '<x-program-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-program-id: <x-program-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-program-id", "<x-program-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}")
.header("x-program-id", "<x-program-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v2/auth/passkey/credentials/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-program-id"] = '<x-program-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": null
}{
"success": false,
"code": "UNAUTHORIZED",
"message": "Invalid email or password"
}{
"message": "Forbidden"
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "Missing program or user context"
}{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Authorizations
The user's access token from authentication (access_token on v1, accessToken on v2). The program and environment come from the token.
Headers
Identifies the program. Can also be sent as the programId query parameter.
Path Parameters
The credential id.